This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 475070 - (CVE-2008-5660) CVE-2008-5660 vinagre: format string flaw in vinagre_utils_show_error()
CVE-2008-5660 vinagre: format string flaw in vinagre_utils_show_error()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 05:57 EST by Tomas Hoger
Modified: 2008-12-18 04:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 04:10:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-12-07 05:57:18 EST
vinagre upstream released new upstream versions 0.5.2 and 2.24.2 fixing format string issue in vinagre_utils_show_error() in src/vinagre-utils.c.

Upstream commits:
Gnome 2.22 branch (0.5.x):
  http://svn.gnome.org/viewvc/vinagre?view=revision&revision=528
Gnome 2.24 branch (2.24.x):
  http://svn.gnome.org/viewvc/vinagre?view=revision&revision=525
Comment 1 Fedora Update System 2008-12-08 08:02:30 EST
vinagre-0.5.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2008-12-08 08:03:32 EST
vinagre-0.4-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-12-08 08:05:59 EST
vinagre-2.24.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Tomas Hoger 2008-12-10 11:12:50 EST
Further details and PoC in CORE-2008-1127:
  http://www.coresecurity.com/content/vinagre-format-string
Comment 5 Tomas Hoger 2008-12-18 04:10:00 EST
CVE id CVE-2008-5660 was assigned to this issue:

Format string vulnerability in the vinagre_utils_show_error function
(src/vinagre-utils.c) in Vinagre 0.5.x before 0.5.2 and 2.x before
2.24.2 might allow remote attackers to execute arbitrary code via a
crafted URI or VNC server response.

Note You need to log in before you can comment on or make changes to this bug.